# Live Scan Grub Menu

Build an ESP File System including:
* standalone EFI & BIOS GRUB images
* boot time dynamic GRUB menu

## Project

* build.mod
* build.py
* build.sh
* images
  * nightly.png
* license.md
* live
  * env.sh
  * main.sh
  * menu
    * cmd.sh
    * env.sh
    * gfx.sh
    * main.sh
  * menu.sh
  * scan.sh
  * util.sh
  * var.sh
* menu
  * main.sh
* todo.gv

* todo.svg

## Build

* bios
  * boot.img
  * core.img
  * setup.sh
* efi
  * boot
    * bootx64.efi
* grub
  * fonts
    * *.pf2
  * grub.cfg
  * i386-pc
    * *.lst
    * *.mod
  * locale
    * *.mo
  * themes
    * breeze
    * starfield
  * x86_64-efi
    * *.lst
    * *.mod
* grub.env

## Tasks

* live-media
  * -mount-opts
* build
  * layouts
* grub.env
* variablize
  * pgp
* secure boot
  * /efi/boot
    * bootx64.efi ← /usr/lib/shim/shimx64.efi.signed
    * grubx64.efi ← /usr/lib/grub/x86_64-efi-signed/grubx64.efi.signed
  * root
    * /.disk/info
    * /.disk/mini-info
  * grub.cfg
    * prefix → /boot/grub
    * cmdpath → /efi/boot

![Graph](todo.svg)
